> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Brand Social Channels

> Replace the complete list of social channels configured for a brand. Pass an empty list to remove them all.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json put /brands/{brand_id}/social-channels
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /brands/{brand_id}/social-channels:
    put:
      tags:
        - Project
      summary: Set Brand Social Channels
      description: >-
        Replace the complete list of social channels configured for a brand.
        Pass an empty list to remove them all.
      operationId: putBrandsByBrand_idSocial-channels
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                channels:
                  type: array
                  items:
                    type: object
                    properties:
                      platform:
                        type: string
                        enum:
                          - reddit
                          - youtube
                          - instagram
                          - tiktok
                      channel:
                        type: string
                        minLength: 1
                        maxLength: 2048
                    required:
                      - platform
                      - channel
              required:
                - channels
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                channels:
                  type: array
                  items:
                    type: object
                    properties:
                      platform:
                        type: string
                        enum:
                          - reddit
                          - youtube
                          - instagram
                          - tiktok
                      channel:
                        type: string
                        minLength: 1
                        maxLength: 2048
                    required:
                      - platform
                      - channel
              required:
                - channels
          multipart/form-data:
            schema:
              type: object
              properties:
                channels:
                  type: array
                  items:
                    type: object
                    properties:
                      platform:
                        type: string
                        enum:
                          - reddit
                          - youtube
                          - instagram
                          - tiktok
                      channel:
                        type: string
                        minLength: 1
                        maxLength: 2048
                    required:
                      - platform
                      - channel
              required:
                - channels
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        brand_id:
                          type: string
                        platform:
                          type: string
                          enum:
                            - reddit
                            - youtube
                            - instagram
                            - tiktok
                        channel_id:
                          type: string
                        channel_handle:
                          type: string
                      required:
                        - id
                        - brand_id
                        - platform
                        - channel_id
                        - channel_handle
                required:
                  - data
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````